name: Pod Node Affinity
services:
  pod-node-affinity:
    name: pod-node-affinity
    type: Pod
    apiVersion: v1
    namespace: default
    model: kubernetes
    settings:
      spec:
        affinity:
          node Affinity:
            required During Scheduling Ignored During Execution:
              node Selector Terms:
              - match Expressions:
                - key: kubernetes.io/hostname
                  operator: Exists
        containers:
        - command:
          - sleep
          - "3600"
          image: busybox
          name: pod-node-affinity-container
    traits:
      meshmap:
        edges: []
        id: 1451b8f7-3320-4517-9b07-58c6cc66a082
        label: pod-node-affinity
        meshmodel-metadata:
          capabilities: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          styleOverrides: ""
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
        position:
          posX: -30
          posY: 30
        whiteboardData:
          style:
            z-index: 3
